For the complete documentation index, see llms.txt. This page is also available as Markdown.

Run a connector tool

Execute a tool action. Returns the raw response from the upstream API endpoint.

post
Authorizations
D360-API-KEYstringRequired

API Key for Messaging API authentication. Send your API key in the D360-API-KEY header.

Path parameters
connector_idstringRequired

The unique identifier of the parent connector

tool_idstringRequired

The unique identifier of the tool

Header parameters
X-API-Versionstring · enumOptional

Meta Business Agent API version

Possible values:
Body

Tool execution input

inputstringOptional
Responses
200

The tool execution result

application/json

The result of executing a tool action

outputstringRequired
statusstringRequired
post/agent_connectors/{connector_id}/tools/{tool_id}/run

Last updated

Was this helpful?